Pular para o conteúdo

Pedido despachado

Requisição

Host: Keeta. Use somente quando a logística é do merchant (entrega própria ou 3PL contratado por ele), após o aceite do pedido.

Corpo opcional deliveryTrackingInfo:

BlocoCampos
eventtype (DELIVERY_ONGOING, ARRIVED_AT_CUSTOMER, ORDER_DELIVERED, CANCELLED), message, datetime
problemreason (enum de problemas, abaixo), message, datetime
vehicletype[] (MOTORBIKE_BAG, MOTORBIKE_BOX, CAR, BICYCLE, SCOOTER, VUC), licencePlate
etadeliveryEtaInMinutes, deliveryEtaDatetime, maxDeliveryTime
deliveryPersonid, name, pictureURL, areaCode (ex.: +55), phone
geoLocalizationlatitude, longitude, lastAddress (country, state, city, district, street, postalCode, distanceToPickup, distanceToDelivery em metros, timestamp)
externalTrackingURLLink de rastreio do operador logístico

problem.reason: DELIVERYPERSON_OCCURRENCE, PAYMENT_PROBLEMS, WRONG_PRODUCT_OR_ITEM, ORDER_DELAYED, ORDER_DAMAGED_OR_VIOLATED, CUSTOMER_DID_NOT_PLACE_ORDER, CUSTOMER_ADDRESS_UNKNOWN, ORDER_MISSING_ITEMS, NOBODY_TO_RECEIVE, DELIVERYPERSON_WAITING_PAYMENT_FOR_ALREADY_PAID_ORDER, ORDER_DELIVERED_WITHOUT_PAYMENT, FRAUD_OR_THEFT.

{
  "deliveryTrackingInfo": {
    "event": { "type": "DELIVERY_ONGOING", "datetime": "2026-10-13T21:05:00Z" },
    "vehicle": { "type": ["MOTORBIKE_BOX"], "licencePlate": "FTR4G21" },
    "eta": { "deliveryEtaInMinutes": 18 },
    "deliveryPerson": { "name": "Carlos Souza", "areaCode": "+55", "phone": "11912345678" }
  }
}

202 → espere DISPATCHED. Erros: 400, 401, 403, 404, 422, 503.

Segurança
OAuth2(Escopos obrigatórios: od.all) and Sig
Caminho
orderIdstringobrigatório

The unique identifier of the order. The order ID is generated by Keeta.

Corpoapplication/json
deliveryTrackingInfoobject(DeliveryTrackingInfoDisptach)

Informações sobre a entrega atribuída ao pedido.

curl -i -X POST \
  'https://open.mykeeta.com/api/open/opendelivery/v1/orders/{orderId}/dispatch' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE' \
  -d '{
    "deliveryTrackingInfo": {
      "event": {
        "type": "DELIVERY_ONGOING",
        "message": "string",
        "datetime": "2019-08-24T14:15:22Z"
      },
      "problem": {
        "reason": "DELIVERYPERSON_OCCURRENCE",
        "message": "string",
        "datetime": "2019-08-24T14:15:22Z"
      },
      "vehicle": {
        "type": [
          "MOTORBIKE_BAG"
        ],
        "licencePlate": "string"
      },
      "eta": {
        "deliveryEtaInMinutes": 0,
        "deliveryEtaDatetime": "2019-08-24T14:15:22Z",
        "maxDeliveryTime": "2019-08-24T14:15:22Z"
      },
      "deliveryPerson": {
        "id": "string",
        "name": "string",
        "pictureURL": "string",
        "areaCode": "+55",
        "phone": "1234567"
      },
      "geoLocalization": {
        "latitude": -23.54809,
        "longitude": -46.63638,
        "lastAddress": {
          "country": "BR",
          "state": "BR-SP",
          "city": "São Paulo",
          "district": "Moema",
          "street": "Plaza Avenue",
          "postalCode": "20111-000",
          "distanceToPickup": "string",
          "distanceToDelivery": "string",
          "timestamp": "2019-08-24T14:15:22Z"
        }
      },
      "externalTrackingURL": "string"
    }
  }'

Respostas

Request has been accepted for processing.

Resposta
Nenhum conteúdo